/*
	Compute scalar product of two vectors

	IN:	n	length of the vectors
		x,y 	vectors
	OUT:	scalar	scalar product
*/
#include <mpi.h>
#include "vdop.h"

double skalar(const int n, const double x[], const double y[], const MPI_Comm& icomm)
{
  const double s = dscapr(n,x,y);                // call sequential inner product
        double sg;
  MPI_Allreduce(&s,&sg,1,MPI_DOUBLE,MPI_SUM,icomm);
  
  return(sg);
}



